グラフAPIバージョン

Messenger Business Template

読み取り

Messenger schema for business message templates used for business messaging

Graph API Explorer
GET /v25.0/{messenger-business-template-id} HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{messenger-business-template-id}',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{messenger-business-template-id}",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{messenger-business-template-id}",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{messenger-business-template-id}"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
グラフAPIを使用する方法については、グラフAPIの使用ガイドをご覧ください。

パラメーター

このエンドポイントにはパラメーターがありません。

フィールド

フィールド説明
id
numeric string

The ID for the business template

category
enum

The business template category

components
list<MessengerBusinessTemplateWhatsAppHSMComponentGet>

The components included in this template

creation_time
integer

Creation time of the template

language
string

The languages in which this template is available

language_count
integer

The number of languages this template

last_updated_time
datetime

The time at which this template was last updated

library_template_name
string

The name of the template library that this template belongs

name
string

The name of this template

parameter_format
enum

parameter_format

rejected_reason
enum

The reason this template was rejected

rejection_reasons
MessengerBusinessTemplateWhatsAppBusinessHSMRejectionReasons

The reasons this template was rejected

specific_rejection_reasons
MessengerBusinessTemplateWhatsAppBusinessHSMSpecificRejectionReasons

The specific reasons this template was rejected

status
enum

The status of this template

エラーコード

エラー詳細
100Invalid parameter

作成

message_templatesのエッジにPOSTリクエストを以下のパスで送信できます:
このエッジにPOSTする場合、a MessengerBusinessTemplateが作成されます。

パラメーター

パラメーター説明
category
enum {UTILITY}

Required. The category of the template.

必須
components
array<JSON object>

An array of objects to be included in the message. Can include the header, body, and buttons (phone number, postback, URL).

type
enum {HEADER, BODY, BUTTONS}

Component type.

必須
format
enum {TEXT, IMAGE}

Component format.

text
string

Required for components with type HEADER,BODY


Component text.

buttons
array<JSON object>

Button components to be used in the template.

type
enum {QUICK_REPLY, URL, PHONE_NUMBER, OTP, MPM, CATALOG, FLOW, VOICE_CALL, VIDEO_CALL, POSTBACK, BOOKING_STATUS, PAYMENT_REQUEST, REQUEST_CONTACT_INFO}

type

必須
text
string

text

url
URI

url

phone_number
phone number string

phone_number

example
array<string>

example

payload
string

payload

example
JSON object

Placeholder examples. Templates will not be approved without examples.

header_text
array<string>

header_text

body_text
array<array<string>>

body_text

header_handle
array<string>

header_handle

header_text_named_params
array<JSON object>

header_text_named_params

param_name
string

param_name

必須
example
string

example

必須
body_text_named_params
array<JSON object>

body_text_named_params

param_name
string

param_name

必須
example
string

example

必須
language
string

The language of the message. For example, en_US.

必須
library_template_button_inputs
array<JSON object>

An array of objects that define the type of button and it's contents and actions.

type
enum {QUICK_REPLY, URL, PHONE_NUMBER, OTP, MPM, CATALOG, FLOW, VOICE_CALL, VIDEO_CALL, POSTBACK, BOOKING_STATUS, PAYMENT_REQUEST, REQUEST_CONTACT_INFO}

type

必須
phone_number
string

phone_number

url
JSON object

url

base_url
string

base_url

必須
url_suffix_example
string

url_suffix_example

library_template_name
string

The name of the library the template belongs to.

name
string

The name of the template.

必須

戻り値の型

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
id: numeric string,
status: enum,
category: enum,
rejection_reason: enum,
specific_rejection_reason: enum,
}

エラーコード

エラー詳細
200Permissions error
100Invalid parameter

更新中…

/{messenger_business_template_id}にPOSTリクエストを送信してa MessengerBusinessTemplateを更新できます。

パラメーター

パラメーター説明
components
array<JSON object>

Update the components in this template

type
enum {HEADER, BODY, BUTTONS}

Component type.

必須
format
enum {TEXT, IMAGE}

Component format.

text
string

Required for components with type HEADER,BODY


Component text.

buttons
array<JSON object>

Button components to be used in the template.

type
enum {QUICK_REPLY, URL, PHONE_NUMBER, OTP, MPM, CATALOG, FLOW, VOICE_CALL, VIDEO_CALL, POSTBACK, BOOKING_STATUS, PAYMENT_REQUEST, REQUEST_CONTACT_INFO}

type

必須
text
string

text

url
URI

url

phone_number
phone number string

phone_number

example
array<string>

example

payload
string

payload

example
JSON object

Placeholder examples. Templates will not be approved without examples.

header_text
array<string>

header_text

body_text
array<array<string>>

body_text

header_handle
array<string>

header_handle

header_text_named_params
array<JSON object>

header_text_named_params

param_name
string

param_name

必須
example
string

example

必須
body_text_named_params
array<JSON object>

body_text_named_params

param_name
string

param_name

必須
example
string

example

必須

戻り値の型

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
status: enum,
rejection_reason: enum,
specific_rejection_reason: enum,
}

エラーコード

エラー詳細
100Invalid parameter

削除中です

You can dissociate a MessengerBusinessTemplate from a Page by making a DELETE request to /{page_id}/message_templates.

パラメーター

パラメーター説明
name
string

The name of the template to be deleted in all languages, if no template_id is provided.

必須
template_id
numeric string

Optional. Limits the deletion of template to the template_id provided.

戻り値の型

Struct {
success: bool,
}

エラーコード

エラー詳細
200Permissions error